OCF_HEARTBEAT_AUDIBL(7)

NAME
ocf_heartbeat_AudibleAlarm - Emits audible beeps at a configurable interval

SYNOPSIS

AudibleAlarm [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

Resource script for AudibleAlarm. It sets an audible alarm running by beeping at a set interval.

SUPPORTED PARAMETERS

nodelist
    The node list that should never sound the alarm.

    (optional, string, no default)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 10s.

stop
    Stops the resource. Suggested minimum timeout: 10s.

restart
    Suggested minimum timeout: 10s.

status
    Performs a status check. Suggested minimum timeout: 10s. Suggested interval: 10s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 10s. Suggested interval: 10s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a AudibleAlarm resource using the crm(8) shell:

    primitive p_AudibleAlarm ocf:heartbeat:AudibleAlarm \
      op monitor depth="0" timeout="10s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a AudibleAlarm resource using pcs(8)

    pcs resource create p_AudibleAlarm ocf:heartbeat:AudibleAlarm \
      op monitor depth="0" timeout="10s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)